#include <stdio.h>
#include "BMP_include.h"

int BMP_OpenFile (char FName [], char FMode [], FILE *Fpnt);
void BMP_ShowError (int status);
int BMP_ReadHeader (FILE *FilePNT, unsigned char BMPheader []);
int BMP_GetSize (unsigned char BMPheader [], int *Righe, int *Colonne);
long int BMP_ReadImage (FILE *FilePNT, unsigned char BMPimage []);
void BMP_red (unsigned char BMPimage1 [], unsigned char BMPimage2 [], \
              unsigned char BMPimageMix [], long int InNbytes);

int main(int argc, char *argv []) {

   FILE *File1, *File2, *FileMix;
   unsigned char BMPheader   [54];
   unsigned char BMPimage1   [500 * 500 * 3];
   unsigned char BMPimage2   [500 * 500 * 3];
   unsigned char BMPimageMix [500 * 500 * 3];
   int Righe, Colonne, status;
   long int i, InNbytes;

   File1 = fopen (argv [1], "rb");
   if (File1 == NULL) BMP_ShowError (status);

   File2 = fopen (argv [2], "rb");
   if (File2 == NULL) BMP_ShowError (status);

   FileMix = fopen (argv [3], "wb");
   if (FileMix == NULL) BMP_ShowError (status);

   status = BMP_ReadHeader (File1, BMPheader);
   if (status != 0) BMP_ShowError (status);

   status = BMP_ReadHeader (File2, BMPheader);
   if (status != 0) BMP_ShowError (status);

   BMP_GetSize (BMPheader, &Righe, &Colonne);

   InNbytes = BMP_ReadImage (File1, BMPimage1);
   InNbytes = BMP_ReadImage (File2, BMPimage2);

   BMP_mix (BMPimage1, BMPimage2, BMPimageMix, InNbytes);

   for (i=0; i<54; i++) fputc (BMPheader [i], FileMix);

   for (i=0; i<InNbytes; i++) fputc (BMPimageMix [i], FileMix);

   fclose (File1);
   fclose (File2);
   fclose (FileMix);

}
